package com.shigongli.controller;

import com.shigongli.common.BaseController;
import com.shigongli.common.OSSUtils;
import com.shigongli.common.ResponseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Api(tags = "通用")
@RestController
@RequestMapping("/")
public class CommController extends BaseController {

    @Autowired
    OSSUtils ossUtils;

    /**
     * 图片
     * @param multipartFile
     * @return
     */
    @ApiOperation(value = "图片上传", notes = "图片上传")
    @PostMapping("/{plat}/image")
    public ResponseBean uploadImage(@RequestParam("file") MultipartFile multipartFile) {
        try {
            String img = ossUtils.putObject(multipartFile, "/shigongli/images/");
            return ResponseBean.success(img);
        } catch (IOException e) {
            return ResponseBean.error("上传图片失败: " + e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
        }
    }
}
