package com.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHouse对象", description="房源")
public class TaHouse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "房源ID")
    @TableId(value = "house_id", type = IdType.UUID)
    private String houseId;

    @ApiModelProperty(value = "所属民宿")
    private String shopId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "经纬度 lng,lat")
    private String lngLat;

    @ApiModelProperty(value = "停车场")
    private String parking;

    @ApiModelProperty(value = "停车场位置 lng,lat")
    private String parkLngLat;

    @ApiModelProperty(value = "wifi名称")
    private String wifiName;

    @ApiModelProperty(value = "wifi密码")
    private String wifiPassword;

    @ApiModelProperty(value = "其他")
    @TableField("`desc`")
    private String desc;

    @ApiModelProperty(value = "排序")
    private Integer sortNo;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @TableField(exist = false)
    private List<TaHouseSurround> surroundList;
}
